%define name 	sane
%define version 1.0.11
%define release 5mdk
%define beta	%nil

%define libmajor 1
%define libname libsane%{libmajor}

# Setting this makes the /etc/sane.d/dll.conf empty so that scanning apps
# do not search for all existing scanner models which makes their startup
# slow (the user or "scannerdrake" has to insert the names of the really
# installed scanners then)
%define empty_dll_conf 0
# Backend maintainer says to leave gphoto2 disabled for now.
%define gphoto2_support 1
# Switch to disable the compilation of the "primax" backend in case of
# problems
%define primax_support 1
%ifarch ppc
%define primax_support 0
%endif
# Enable debug mode
%define debug 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	SANE - local and remote scanner access.
URL:		http://www.mostang.com/sane/
Source:		ftp://ftp.mostang.com/pub/sane/sane-%version/sane-backends-%{version}%{beta}.tar.bz2
Source1:	http://belnet.dl.sourceforge.net/sourceforge/hp3300backend/testtool-20021120_1.tar.bz2
Source2:	http://www.littlecms.com/iphoto/ot.tar.bz2
Source3:        http://belnet.dl.sourceforge.net/sourceforge/px-backend/primaxscan-1.1.beta1.tar.bz2
#Source4:	http://www.gjaeger.de/scanner/current/plustek-sane-0.45-1.tar.bz2
Source5:	saned-xinetd
Source6:	http://cesnet.dl.sourceforge.net/sourceforge/snapscan/snapscan-20030208.tar.bz2
Patch9: 	sane-sparc.patch.bz2
# Patch13 is edited to work with SANE 1.0.10
Patch13:	http://viceo.orcon.net.nz/e3_driver_0.6_sane1.0.10.diff.bz2
Patch14:	http://belnet.dl.sourceforge.net/sourceforge/hp4200-backend/sane-backends-1.0.10-hp4200-0.3.patch.bz2
#Patch15:	epson_usb_vendor_device.diff.bz2
Patch15:	epson-1.0.11.diff.bz2
Patch16:	epson_usb_doc.diff.bz2
Patch17:	fi-4220C-USB.diff.bz2
Patch18:	avision-2003-02-08-1127-sane-1.0.10.patch.bz2
Patch19:	epson_usb_vendor_device.diff.bz2
Patch20:	correct-epson-1.0.11.diff.patch.bz2
License: 	GPL
Group:		Graphics
Requires:	%{libname} = %{version}-%{release}
Requires:	sane-backends = %{version}-%{release}
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	XFree86-devel gimp-libgimp libjpeg-devel tetex-latex tetex-dvips autoconf libusb-devel >= 0.1.6 libieee1284-devel
%if %{gphoto2_support}
BuildRequires: libgphoto2-devel
%endif

%description
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package.

%package -n %{libname}
Group: 		System/Kernel and hardware
License: 	LGPL
Summary: 	SANE - local and remote scanner access. This package contains the sane library.
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package.

%package -n %{libname}-devel
Group: 		Development/C
License:	LGPL
Summary: 	SANE - local and remote scanner access.
Requires: 	%{libname} = %{version}-%{release}
Provides: 	libsane-devel = %{version}-%{release}
Provides:	sane-devel = %{version}-%{release}
Obsoletes: 	sane-devel

%description -n %{libname}-devel
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package contains the headers and development libraries necessary 
to develop applications using SANE.

%package backends
Group:		System/Kernel and hardware
License:	LGPL
Summary:	SANE - local and remote scanner access.
Provides:	%{name} = %{version}-%{release}

%description backends
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package and set up the sane-net backend.

This package contains the backends for different scanners.

%package -n saned
Group:          System/Kernel and hardware
License:        LGPL
Summary:        SANE - local and remote scanner access.
Provides:       %{name} = %{version}-%{release}
Provides:	saned = %{version}-%{release}
Requires:	sane-backends
Requires:	xinetd
Prereq:         rpm-helper

%description -n saned
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package contains saned, a daemon that allows remote clients to
access image acquisition devices available on the local host.

# Patches for non-x86 platforms
%prep
%setup -q -n sane-backends-%{version}%{beta}
%ifarch sparc
%patch9 -p1 -b .sparc
%endif

# Update of the snapscan backend (Epson Perfection 660 support)
%setup -q -T -D -a 6 -n sane-backends-%{version}%{beta}/backend
cd ..

# Patch for E3 scanners: Genius Vivid Pro, Primax Colorado, Visioneer
# OneTouch 6100/7600, IBM IdeaScan 2000, LG Electronics Scanworks 600U
# ("viceo" backend)
%patch13 -p1

# Patch for HP ScanJet 4200 support ("hp4200" backend)
%patch14 -p1

# Patch for "epson" backend accepting hexadecimal vendor/product IDs
%patch15 -p1
%patch20 -p0
#patch19 -p0

# Patch for "epson" backend documentation
%patch16 -p0

# Patch for "fujitsu" backend supporting USB scanners
%patch17 -p0

# Patch for "avision" backend fixing some bugs
%patch18 -p0

# Patch for the HP ScanJet 3300C ("niash" backend)
%setup -q -T -D -a 1 -n sane-backends-%{version}%{beta}
cd testtool
./patch-sane.sh $RPM_BUILD_DIR/sane-backends-%{version}%{beta}
cd ..

# Patch for the Visioneer OneTouch 8600 ("ot" backend)
#setup -q -T -D -a 2 -n sane-backends-%{version}%{beta}

# Primax parallel port scanners
%if %{primax_support}
%setup -q -T -D -a 3 -n sane-backends-%{version}%{beta}
%endif

# We must regenerate "configure" because Patch 11 (removal of libptal
# dependency contains modification of "configure.in".
#autoconf

# lib64 fixes (avoid patch)
# NOTE: don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /LDFLAGS=.*with_ptal/" configure

%build

%if %debug
export DONT_STRIP=1
CFLAGS="`echo %optflags |sed -e 's/-O3/-g/'`" CXXFLAGS="`echo %optflags |sed -e 's/-O3/-g/'`" \
%endif
%if %{gphoto2_support}
%configure --with-gphoto2=%{_prefix}
%else
%configure --without-gphoto2
%endif

# glibc 2.1 has stpcpy, but sane's configure is apparently unable to detect it.
perl -p -i -e "s|\/\* #undef HAVE_STPCPY \*\/|#define HAVE_STPCPY 1|" include/sane/config.h

%make
%make -C doc sane.ps.gz

# Primax parallel port scanners
%if %{primax_support}
chmod a+rx tools/sane-config
cd primaxscan*
PATH=../tools:${PATH}
CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I../include -L../backend/.libs/"\
#CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I../include/sane -L../backend/.libs/"\
%configure
%make
%make primax_scan
cd ..
%endif

%install

%if %debug
export DONT_STRIP=1
%endif

rm -rf $RPM_BUILD_ROOT
%makeinstall

#mv $RPM_BUILD_ROOT/%{_sbindir}/saned $RPM_BUILD_ROOT/%{_sbindir}/in.saned
#install -m 755 tools/sane-find-scanner $RPM_BUILD_ROOT/%{_bindir}
perl -pi -e "s/installed.*/installed=yes/g" $RPM_BUILD_ROOT%{_libdir}/libsane.la
/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_libdir}/sane

%if %{empty_dll_conf}
# The /etc/sane.d/dll.conf contains lines for every backend, so every
# backend probes for a scanner when a SANE frontend (e. g. xsane) is
# started. With this the user has always to wait around one minute
# before he can scan. We simply replace the file by a nearly empty one
# and let scannerdrake only insert the needed backends. So the
# frontends will start immediately
mv $RPM_BUILD_ROOT%{_sysconfdir}/sane.d/dll.conf $RPM_BUILD_ROOT%{_sysconfdir}/sane.d/dll.conf.orig
cat > $RPM_BUILD_ROOT%{_sysconfdir}/sane.d/dll.conf <<EOF
# enable the next line if you want to allow access through the network:
net
EOF
%endif

# Remove /usr/lib/libsane.a, it is a broken symlink
#rm -f $RPM_BUILD_ROOT%{_libdir}/libsane.a

# Move documentation from /usr/dec to /usr/share/doc
install -d $RPM_BUILD_ROOT%{_docdir}/sane-backends-%version/
mv $RPM_BUILD_ROOT/usr/doc/sane-%version/* $RPM_BUILD_ROOT%{_docdir}/sane-backends-%version/

# Primax parallel port scanners
%if %{primax_support}
cd primaxscan*
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/libsane-primax.a
mv $RPM_BUILD_ROOT%{_libdir}/libsane-primax* $RPM_BUILD_ROOT%{_libdir}/sane/
cp primax_scan $RPM_BUILD_ROOT%{_bindir}
cd ..
%endif

# Xinetd.d entry
mkdir $RPM_BUILD_ROOT/etc/xinetd.d
cp %{SOURCE5} $RPM_BUILD_ROOT/etc/xinetd.d/saned

%find_lang sane-backends

%post -n %{libname} -p /sbin/ldconfig
%post -n saned
%_post_service saned
     
%pre -n saned
# Add saned to group cdwriter and ub for scanner access.
/usr/sbin/useradd -r -M -s /bin/false  -c "system user for saned" saned -G cdwriter,usb || :
#%_pre_useradd saned /etc/sane.d /bin/false

%preun -n saned
%_preun_service saned

%postun -n %{libname} -p /sbin/ldconfig
%postun -n saned
%_postun_userdel saned

%clean
rm -rf $RPM_BUILD_ROOT

%files backends -f sane-backends.lang
%defattr(-,root,root,755)
%doc %{_docdir}/sane-backends-%version
%{_bindir}/sane-find-scanner
%{_bindir}/scanimage
%{_bindir}/gamma4scanimage
%if %{primax_support}
%{_bindir}/primax_scan
%endif
%{_mandir}/man1/*[^saned]
%{_mandir}/man5/*
%{_mandir}/man7/*
%dir %{_sysconfdir}/sane.d
%config(noreplace) %{_sysconfdir}/sane.d/*[^saned]

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/*.so.*
%dir %{_libdir}/sane
%{_libdir}/sane/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,755)
%{_bindir}/sane-config
#%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
#%{_libdir}/sane/*.a
%{_libdir}/sane/*.la
#%{_libdir}/sane/*.so
%{_includedir}/sane

%files -n saned
%defattr(-,root,root,755)
%{_sbindir}/*
%{_mandir}/man1/saned*
%config(noreplace) %{_sysconfdir}/sane.d/saned.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/saned

%changelog
* Sat Feb 15 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.11-5mdk
- Now the "epson" backend should alsoi accept unknown USB vendor/product
  IDs in "usb ..." lines in epson.conf.

* Sat Feb 15 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.11-4mdk
- Really fixed bug that "epson" backend only accepted decimal USB
  vendor/product IDs.
- Applied bug fix patch for the "avision" backend.

* Fri Feb 14 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.11-3mdk
- Added support for USB scanners with the "fujitsu" backend, especially
  also for the Fujitsu fi-4220C.
- Fixed documentation and config files of the "epson" backend to mention
  USB scanner auto-detection support.
- Fixed bug that "epson" backend only accepted decimal USB vendor/product
  IDs.

* Mon Feb 10 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.11-2mdk
- Updated "snapscan" backend (Support for Epson Perfection 660).

* Mon Feb 10 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.11-1mdk
- Updated to SANE 1.0.11 (Security fix for saned).

* Sat Feb  1 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.10-1mdk
- Updated to SANE 1.0.10 (New backends: "artec_eplus48u" for Artec E+ 48U,
  Tevion/Medion MD 9693, Medion MD 9705, Trust Easy Webscan 19200, "gt68xx" 
  for Artec Ultima 2000, some Mustek BearPaws and other GT6801/GT6816-based
  scanners; updated backends: "avision", "canon", "coolscan2", "canon_pp", 
  "dc210", "dc240", "dc25", "dll", "epson", "gphoto2", "hp", "hpsj5s", 
  "microtek2", "mustek", "mustek_pp", "plustek", "sharp", "snapscan",
  "test", "umax", "umax_pp"; improved SCSI and USB handling. new translation
  system for all backends having translations for the standard options now,
  added translations for Portuguese, Russian and Swedish; various 
  documentation updates).
- Included "gphoto2" backend.
- Do not make /etc/sane.d/dll.conf empty.

* Sat Jan 18 2003 Marcel Pol <mpol@gmx.net> 1.0.9-4mdk
- buildrequires tetex-dvips for sane.ps
- make saned a seperate package
- add saned user and xinetd entry

* Sat Jan 11 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.9-3mdk
- Updated Plustek backend to version 0.45-1 (IMPORTANT UPDATE: Epson
  Perfection 1260 can be damaged with older versions; New models supported:
  Canon CanoScan N670U/N676U, N1220U, N1240U, LIDE 20, LIDE 30; new 
  functionality: TPA auto-detection on Epson Perfection 1260).

* Sat Jan  4 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.9-2mdk
- drop primax_support on PPC, drop patch10

* Fri Jan  3 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.9-1mdk
- Updated to SANE 1.0.9 (Bug fixes, support for new scanner models).
- Let patch for sparc only be applied on sparc systems.
- Added "niash" (HP ScanJet 3300C, 3400C, 4300C, Agfa SnapScan Touch) 
  backend.
- Added "viceo" (E3 scanners: Genius Vivid Pro, Primax Colorado, Visioneer 
  OneTouch 6100/7600, IBM IdeaScan 2000, LG Electronics Scanworks 600U) 
  backend.
- Added "hp4200" (HP ScanJet 4200) backend.
- Added "primax" (Primax Colorado Direct 300, 600, 9600 Colorado 1200p, 
  Storm Totalscan, Network Scanny MM100, Genius Colorpage Vivid+, Visioneer
  OneTouch 5300, 7300) backend.
- Added "libusb-devel" to "BuildRequires:", it is needed by the "sm3600"
  backend (this was probably the problem why this backend missed in 
  Mandrake 9.0).
- Linked against "libieee1284" to enable "canon_pp" (CanoScan FB320P,
  FB330P, FB620P, FB630P, N340P, N640P, N640P ex) and "hpsj5s" (HP 
  ScanJet 5S).

* Mon Oct 15 2002 Till Kamppeter <till@mandrakesoft.com> 1.0.8-6mdk
- Introduced and enabled debug mode (macro "%%debug").

* Mon Aug 19 2002 Till Kamppeter <till@mandrakesoft.com> 1.0.8-5mdk
- Added the new Epson Perfection 660, 1660 Photo, and 2400 Photo to the list
  of supported scanner models.

* Fri Aug  9 2002 Till Kamppeter <till@mandrakesoft.com> 1.0.8-4mdk
- Replaced /etc/sane/dll.conf by a nearly empty file to accelerate the
  startup of SANE frontends.
- Fixed /usr/lib/libsane.a.

* Fri Aug  9 2002 Till Kamppeter <till@mandrakesoft.com> 1.0.8-3mdk
- Removed support for the PTAL protocol (HP multi-function devices) from
  the "hp" driver. HPOJ has now its own "hpoj" SANE driver.

* Mon Jul 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.8-2mdk
- lib64 fixes

* Sat Jun 01 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.8-1mdk
- 1.0.8 version.

* Wed May 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.7-5mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue Mar 05 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-4mdk
- requires/provides on both %%{version} and %%{release}
- added packager tag on myself

* Tue Mar  5 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.7-3mdk
- rework PPC patches

* Sat Feb 09 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.7-2mdk
- bypass building parallel port drivers on PPC

* Tue Feb 05 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-1mdk
- true version 1.0.7

* Thu Jan 31 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-0.beta2.1mdk
- version 1.0.7-beta2

* Mon Jan 28 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-0.beta1.2mdk
- rebuild against libusb 0.1.4

* Tue Jan 22 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-0.beta1.1mdk
- version 1.0.7-beta1
- removed patches (merged upstream): scsi, microtek2 -1 pid, file names format

* Wed Nov 28 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.6-2mdk
- drop patch0 for PPC - not needed anymore
- disable umax parallel port scanner build PPC (patch10)

* Tue Nov 27 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.6-1mdk
- the long awaiting 1.0.6 version
- temporaly disable gphoto2 support
- added some doc in devel and std rpm, compression of doc if needed
- fix some plugin place
- sane-config is now in the devel package
- add patch{1,2,3,9} from sane-devel@ ml

* Tue Oct 09 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.5-3mdk
- added mustek usb support

* Thu Aug 30 2001 Till Kamppeter <till@mandrakesoft.com> 1.0.5-2mdk
- Added HP OfficeJet support

* Fri Jul  6 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.5-1mdk
- the long awaiting 1.0.5 version

* Thu Jun 14 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.5-0.20010610.1mdk
- pre-1.0.5, CVS snapshot 2001 10 06
  beware that find-scanner is now called sane-find-scanner
- macros, spec clean up

* Thu May 17 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.4-3mdk
- patch for PPC, scsi/sg.h appears to get included twice, remove one of them

* Thu Jan 04 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-2mdk
- libsane1-devel obsoletes sane-devel (lart me)

* Wed Jan 03 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-1mdk
- New version
- Brand new spec file:
  * split libsane1 to comply to new lib policy
  * package sane-backends contains scanner backends

* Thu Aug 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.3-2mdk
- rebuild for new libgimp
- fix %%config(noreplace)

* Sun Aug 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-1mdk
- s|1.0.2|1.0.3|.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-5mdk
- automatically added BuildRequires


* Thu Jul 27 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.2-4mdk
- BMacros
- Some spec file changes

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.2-3mdk
- Fixed group for sane-devel

* Fri Mar 17 2000 Francis Galiegue <francis@mandrakesoft.com> 1.0.2-2mdk
- Changed group to match 7.1 specs
- Some spec file changes
- Let spec-helper do its job

* Tue Mar 07 2000 Daouda LO	<daouda@mandrakesoft.com>
- 1.0.2

* Mon Nov 15 1999 Florin Grad <florin@mandrakesoft.com>

* Tue Sep 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Recompile with gimp-1.0.4.

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild with gimp-1.1.8.

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix broken %post %postun broken scripts.

* Tue May 25 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- recompile in a GIMP-friendly environment
- fix some rather stupid spec bugs

* Tue May 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.01.
- Mandrake adaptations.

* Mon Nov 23 1998 Jonathan Miller <jlm@mvhi.com>
 [1.00-1]
- upgraded to 1.00 (and made description less space-consuming)
- included the post 1.00 fixed "configure" script available 22 Nov 1998.

* Sat Aug 08 1998 Arne Coucheron <arneco@online.no>
  [0.74-3]
- added /etc/sane.d to %dir in file list

* Sat Aug 01 1998 Arne Coucheron <arneco@online.no>
  [0.74-2]
- devel Group: reverted back to Development/Libraries
- some changes to the %defattr and %attr usage in file list

* Tue Jul 28 1998 Binaire <binaire@binaire.ml.org>
  [0.74-1]

* Fri May 22 1998 Arne Coucheron <arneco@online.no>
  [0.73-3]
- added use of %%{name} and %%{version} macros
- added a %postun for running ldconfig after uninstall
- using BuildRoot properly now
- using %defattr and %attr macros in filelist, allows non-root build 
  this means that RPM 2.5 is required to build this spec file now!
- devel Group: changed to X11/Libraries
- added using RPM_OPT_FLAGS during make 
- added striping of programs and libraries
- added Requires: gtk+ >= 0.99.13 to main package
- added Requires: %%{name} = %%{version} to devel package
- added a %clean section for removing the buildroot dir
- simplified the filelist and added %config for sane-style.rc
- moved lib*.so to %files devel and dropped the *.la files
- added -q parameter to %setup
- removed some older changelog entries
- removed the "fix ldconfig brokenness..." stuff
- removed the Packager: line; use /etc/rpmrc if you want your name in
- if GIMP is installed, make symlink from xscanimage to plug-ins dir
- install the find-scanner program from the tools dir

* Mon May 18 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Version 0.73 was created: May 13 1998
- gimp (original was build against 0.99.29)
- gtk+ (original was build against 1.0.1)
- dlh (original was build against 0.7d)
- X11 development tree including xpm libraries.

* Wed Apr 22 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Binaries are now BuildRoot proof.

* Wed Apr 22 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Binaries are not BuildRoot proof. release 3 is done without BuildRoot!

* Tue Apr 21 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Temp. fix for some documentations problems with BuildRoot.

* Sat Apr 11 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Formal 0.72 now made as RPM! (Build against GTK+ 0.99.10 and GIMP 0.99.24)
- Original package was released: Tue Apr 7 1998
